#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityDoubleElevenLotteryData
{
	//ID
	int mID;
	//权重
	int mWeight;
	//道具ID
	int mItemID;
	//ICON
	std::string mIcon;
	//道具数量
	int mItemCount;
	//实际大奖权重
	int mPrixWeight;
	//大奖标识
	int mPrixIdentification;
};

class M_ActivityDoubleElevenLottery
{
public:
private:
	static std::auto_ptr<M_ActivityDoubleElevenLottery> msSingleton;
public:
	int GetCount();
	const M_ActivityDoubleElevenLotteryData* GetData(int ID);
	boost::unordered_map<int, M_ActivityDoubleElevenLotteryData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityDoubleElevenLottery* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityDoubleElevenLotteryData> mMapData;
};
